Returns the logs of all requests captured by the keeper.
Returns the logs of all requests captured by the keeper. This endpoint allows you to filter the logs by a specific network ID, a query string (which can be a transaction hash, sender address, or sequence number), and a time range. This is useful for debugging and monitoring the requests made to the Entropy contracts on various chains.
Query Parameters
Only return logs that are newer or equal to this timestamp. Timestamp is in ISO 8601 format with UTC timezone.
Only return logs that are older or equal to this timestamp. Timestamp is in ISO 8601 format with UTC timezone.
The query string to search for. This can be a transaction hash, sender address, or sequence number.
The network ID to filter the results by.
int640 <= valueThe state to filter the results by.
The maximum number of logs to return. Max value is 1000.
int640 <= value1000The offset to start returning logs from.
int640 <= value0Response Body
application/json
curl -X GET "https://example.com/v1/logs?min_timestamp=2023-10-01T00%3A00%3A00Z&max_timestamp=2033-10-01T00%3A00%3A00Z"{ "requests": [ { "chain_id": "ethereum", "created_at": "2023-10-01T00:00:00Z", "gas_limit": "500000", "last_updated_at": "2023-10-01T00:00:05Z", "network_id": "1", "provider": "0x6cc14824ea2918f5de5c2f75a9da968ad4bd6344", "request_block_number": 0, "request_tx_hash": "0x5a3a984f41bb5443f5efa6070ed59ccb25edd8dbe6ce7f9294cf5caa64ed00ae", "sender": "0x78357316239040e19fc823372cc179ca75e64b81", "sequence": 0, "state": { "state": "pending" }, "user_random_number": "a905ab56567d31a7fda38ed819d97bc257f3ebe385fc5c72ce226d3bb855f0fe" } ], "total_results": 0}